#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x9B,0x29,0xEC,0x36,0xD2,0x27,0xEE,0xEB,0x7A,0xAC,0x8B,0x81,
		0x9E,0x17,0x9D,0xA5,0x2F,0x30,0xF8,0x1D,0x3B,0xDE,0xE1,0xA1,
		0xF4,0xB7,0x2D,0x84,0x7F,0x9A,0x46,0xEA,0x5F,0x1E,0x83,0xB8,
		0xA5,0x7A,0x76,0x50,0x93,0x88,0x43,0xD5,0x99,0xB5,0xC4,0x3F,
		0x27,0x3D,0x8C,0x1F,0xD9,0x50,0xE0,0xC7,0xED,0x14,0xB2,0x10,
		0x32,0x4C,0xAD,0x13,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
